;ROUTINE FOR CORRUPTED 128 PIXEL MODES
;EXCLUDE CORRUPTED SPECTELS FROM IC

;Inputs  : "ic",array of index of usable spectels for a given cube (output from readomega.pro)          
;Outputs : "ic128", same as ic, with corrupted spectels removed
;Version : 30/04/2013

pro omega128_ic,ic,ic128 

ic128=ic
tp=[0,1,2,3]
icout=[0]
for w=0,9 do begin
    icout=[icout,12+tp+32*w,28+tp+32*w]
endfor
icout=icout(1:*)
icout=[icout,12+tp+320] ;position of all corrupted spectels except last 4
wtp=where(ic128 lt 348)
ic128=ic128(wtp) ;last 4 separatly removed
for i=0,(size(icout))(1)-1 do begin
    wtp=where(ic128 eq icout(i))
    if (wtp(0) ne -1) then ic128=[ic128(0:wtp(0)-1),ic128(wtp(0)+1:*)]
endfor

end
        
